// ====================================================================================================================
// Title  : neil_c_CRELNM5_xxx.c
// Author : Neil Rieck (http://www3.sympatico.ca/n.rieck/)
// Created: 2004-05-13
// Notes  : 1. this program will be started from SYS$CMEXEC (see neil_CRELNM_103.fun)
//          2. by always returning SS$_NORMAL, the calling rc% can be used to tell whether SYS$CMEXEC worked or not 
// History:
// ver who when   what
// --- --- ------ -----------------------------------------------------------------------------------------------------
// 100 NSR 040513 1. original program (accepts 3 parameters)
// 102 NSR 040514 1. added support to pass access mode (now accepts 4 parameters) and changed name
// 103 NSR 040521 1. now passes back rc% in parameter 5 (also changed function name)
// ====================================================================================================================

#include <descrip.h>
#include <psldef.h>
#include <starlet.h>
#include <stdio.h>
#include <ssdef.h>

//
// 	neil Create Logical Name
// 
int neil_c_CRELNM5(	struct dsc$descriptor_d	*TabNam,
			struct dsc$descriptor_d	*LogNam,
			void			*EquivNam,
			char	*AccMode,
			long	*rc)
{
	if (1==0){
	    //
	    //	to debug VMS string descriptors
	    //
	    printf ("TabName length: %d\n", TabNam->dsc$w_length );
	    printf ("TabName type  : %d\n", TabNam->dsc$b_dtype );
	    printf ("TabName class : %d\n", TabNam->dsc$b_class );
	    printf ("TabName data  : %s\n", TabNam->dsc$a_pointer );		// these lines are equivalent
	    printf ("TabName data  : %s\n", (*TabNam).dsc$a_pointer );		// these lines are equivalent

	    printf ("LogName length: %d\n", LogNam->dsc$w_length );
	    printf ("LogName type  : %d\n", LogNam->dsc$b_dtype );
	    printf ("LogName class : %d\n", LogNam->dsc$b_class );
	    printf ("LogName data  : %s\n", LogNam->dsc$a_pointer );
	}
	//
	//	prototype:
	//	sys$crelnm (unsigned int *attr, void *tabnam, void *lognam, unsigned char *acmode, void *itmlst);
	//
	*rc = sys$crelnm (0, TabNam, LogNam, AccMode, EquivNam);		// rc is returned via parameter 5
	return SS$_NORMAL;							// this function always return -s-success
} 
