1000	!=================================================================
	! title  : test_neil_CRELNM_103.bas
	! author : Neil Rieck (http://www3.sympatico.ca/n.rieck/)
	! purpose: to test function neil_crelnm_103.fun
	! usage  :
	!	$basic VMS_TEST_NEIL_CRELNM_103.BAS
	!	$cc    VMS_NEIL_C_CRELNM5_103.C
	!	$link  VMS_TEST_NEIL_CRELNM_103, VMS_NEIL_C_CRELNM5_103
	!	$run   VMS_TEST_NEIL_CRELNM_103
	! notes  :
	! 1. CMEXEC privs are needed to switch to EXECUTIVE MODE
	! 2. SYSNAM privs are needed for modify access to table LNM$SYSTEM
	!=================================================================
	option type=explicit
	declare long rc%
	external long function neil_crelnm (string,string,string)
	!
	print "-i- calling neil_crelnm (#1)"
	rc% = neil_crelnm("onetwo","fourfivesix","LNM$PROCESS_TABLE")	!
	print "rc: ";str$(rc%);" ("; str$(rc% and 7%); ")"
	!
!	print "-i- calling neil_crelnm (#2)"
!	rc% = neil_crelnm("onetwo","fourfivesix","LNM$JOB")		!
!	print "rc: ";str$(rc%);" ("; str$(rc% and 7%); ")"
	!
!	print "-i- calling neil_crelnm (#3)"
!	rc% = neil_crelnm("onetwo","fourfivesix","LNM$GROUP")		!
!	print "rc: ";str$(rc%);" ("; str$(rc% and 7%); ")"
	!
	print "-i- calling neil_crelnm (#4)"
	rc% = neil_crelnm("onetwo","fourfivesix","LNM$SYSTEM_TABLE")	!
	print "rc: ";str$(rc%);" ("; str$(rc% and 7%); ")"
	!
	print "-i- calling neil_crelnm (#5)"
	rc% = neil_crelnm("onetwo","fourfivesix","LNM$SYSTEMZZZ_TABLE")	! non-existant table
	print "rc: ";str$(rc%);" ("; str$(rc% and 7%); ")"
	!
	end
	!========================================================================================================================
	! note: in real life the following file would be called "neil_crelnm_103.fun". The "VMS_" prefix was only added for
	!	demo organizational purposes.
	!
32000	%include "vms_neil_crelnm_103.fun"
	!	function integer WCSM_CreLnm( logical_name$, equiv_name$, table_name$)
	!
